Skip to main content
GET
/
brand
/
color-palettes
Color palettes
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/brand/color-palettes \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "paletteName": "<string>",
      "paletteDescription": "<string>",
      "primaryFill": "<string>",
      "accentFill": "<string>",
      "trimColor": "<string>",
      "shadowColor": "<string>",
      "groundColor": "<string>",
      "skyGradient": {},
      "avoidColors": [
        "<string>"
      ],
      "status": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

Response

Color palettes

success
boolean
required
data
object[]